Package org.gdal.gdal

## Class RasterAlgebraBinaryOperation

- java.lang.Object
- - org.gdal.gdal.RasterAlgebraBinaryOperation

-     public final class RasterAlgebraBinaryOperation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RasterAlgebraBinaryOperation` | `GRABO_ADD` |
    `static RasterAlgebraBinaryOperation` | `GRABO_DIV` |
    `static RasterAlgebraBinaryOperation` | `GRABO_EQ` |
    `static RasterAlgebraBinaryOperation` | `GRABO_GE` |
    `static RasterAlgebraBinaryOperation` | `GRABO_GT` |
    `static RasterAlgebraBinaryOperation` | `GRABO_LE` |
    `static RasterAlgebraBinaryOperation` | `GRABO_LOGICAL_AND` |
    `static RasterAlgebraBinaryOperation` | `GRABO_LOGICAL_OR` |
    `static RasterAlgebraBinaryOperation` | `GRABO_LT` |
    `static RasterAlgebraBinaryOperation` | `GRABO_MUL` |
    `static RasterAlgebraBinaryOperation` | `GRABO_NE` |
    `static RasterAlgebraBinaryOperation` | `GRABO_POW` |
    `static RasterAlgebraBinaryOperation` | `GRABO_SUB` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RasterAlgebraBinaryOperation` | `swigToEnum​(int swigValue)` |
    `int` | `swigValue()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GRABO_ADD

          public static final RasterAlgebraBinaryOperation GRABO_ADD

    - #### GRABO_SUB

          public static final RasterAlgebraBinaryOperation GRABO_SUB

    - #### GRABO_MUL

          public static final RasterAlgebraBinaryOperation GRABO_MUL

    - #### GRABO_DIV

          public static final RasterAlgebraBinaryOperation GRABO_DIV

    - #### GRABO_POW

          public static final RasterAlgebraBinaryOperation GRABO_POW

    - #### GRABO_GT

          public static final RasterAlgebraBinaryOperation GRABO_GT

    - #### GRABO_GE

          public static final RasterAlgebraBinaryOperation GRABO_GE

    - #### GRABO_LT

          public static final RasterAlgebraBinaryOperation GRABO_LT

    - #### GRABO_LE

          public static final RasterAlgebraBinaryOperation GRABO_LE

    - #### GRABO_EQ

          public static final RasterAlgebraBinaryOperation GRABO_EQ

    - #### GRABO_NE

          public static final RasterAlgebraBinaryOperation GRABO_NE

    - #### GRABO_LOGICAL_AND

          public static final RasterAlgebraBinaryOperation GRABO_LOGICAL_AND

    - #### GRABO_LOGICAL_OR

          public static final RasterAlgebraBinaryOperation GRABO_LOGICAL_OR

  - ### Method Detail

    - #### swigValue

          public final int swigValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### swigToEnum

          public static RasterAlgebraBinaryOperation swigToEnum​(int swigValue)